pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/sysutils/amanda-client Add a new option, --with-dump-u...
details: https://anonhg.NetBSD.org/pkgsrc/rev/6883e804cf33
branches: trunk
changeset: 509865:6883e804cf33
user: bouyer <bouyer%pkgsrc.org@localhost>
date: Thu Mar 16 19:13:57 2006 +0000
description:
Add a new option, --with-dump-use-snapshot to amanda's configure script.
This will cause amanda to add -X to dump on systems where this option
is available (AFAIK NetBSD 3.0 and newer).
Add the user-settable variable AMANDA_DUMP_SNAP to control this at the
package build time (disabled by default).
Bump pkgrevision.
diffstat:
sysutils/amanda-client/Makefile | 10 +++-
sysutils/amanda-client/distinfo | 7 ++-
sysutils/amanda-client/patches/patch-ae | 49 +++++++++++++++++++
sysutils/amanda-client/patches/patch-af | 14 +++++
sysutils/amanda-client/patches/patch-ag | 14 +++++
sysutils/amanda-client/patches/patch-ah | 14 +++++
sysutils/amanda-client/patches/patch-ai | 85 +++++++++++++++++++++++++++++++++
7 files changed, 190 insertions(+), 3 deletions(-)
diffs (246 lines):
diff -r 95c22625f24a -r 6883e804cf33 sysutils/amanda-client/Makefile
--- a/sysutils/amanda-client/Makefile Thu Mar 16 18:36:44 2006 +0000
+++ b/sysutils/amanda-client/Makefile Thu Mar 16 19:13:57 2006 +0000
@@ -1,8 +1,8 @@
-# $NetBSD: Makefile,v 1.40 2006/02/05 23:10:48 joerg Exp $
+# $NetBSD: Makefile,v 1.41 2006/03/16 19:13:57 bouyer Exp $
#
PKGNAME= amanda-client-${VERS}
-PKGREVISION= 2
+PKGREVISION= 3
SVR4_PKGNAME= amacl
COMMENT= Client part of Amanda, a network backup system
@@ -16,6 +16,8 @@
CONFIGURE_ARGS+= --without-server --without-restore
+BUILD_DEFS+= AMANDA_DUMP_SNAP
+
# Prevent configure script from finding unnecessary libraries. We'll patch
# the amrecover Makefile to add the readline libraries as it's the only
# program that uses readline. (XXX: incorrect, does not happen)
@@ -31,4 +33,8 @@
DEPENDS+= {samba>=2.0,ja-samba>=2.0}:../../net/samba
.endif
+.if defined(AMANDA_DUMP_SNAP)
+CONFIGURE_ARGS+= --with-dump-use-snapshot --with-rundump
+.endif
+
.include "../../mk/bsd.pkg.mk"
diff -r 95c22625f24a -r 6883e804cf33 sysutils/amanda-client/distinfo
--- a/sysutils/amanda-client/distinfo Thu Mar 16 18:36:44 2006 +0000
+++ b/sysutils/amanda-client/distinfo Thu Mar 16 19:13:57 2006 +0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.7 2005/02/24 13:40:50 agc Exp $
+$NetBSD: distinfo,v 1.8 2006/03/16 19:13:57 bouyer Exp $
SHA1 (amanda-2.4.4p4.tar.gz) = e44b40ea0f8e51336716ab455b27c69f4616d7f6
RMD160 (amanda-2.4.4p4.tar.gz) = d145a5ebb0df340af6aee0e8a15da6b54dfb3051
@@ -7,3 +7,8 @@
SHA1 (patch-ab) = c37b50640d53619ef5ec07d6e63817b3070b7e66
SHA1 (patch-ac) = e04871589a719e1b1502f8609cf6e04cc6f76428
SHA1 (patch-ad) = b0ce806ccb513674b68ef1bf2e683d2191636717
+SHA1 (patch-ae) = 2eb02a96fc493a2093dd73ff9e38eb82ca08a7ea
+SHA1 (patch-af) = 2cdea33419fbdce2854c4e9911d1193c5b96aa9b
+SHA1 (patch-ag) = 0a98cce093882315b8f9df2f732d6596ade64e7f
+SHA1 (patch-ah) = 7a06873415a058518afb6ebd0829ff97840ebdf9
+SHA1 (patch-ai) = 11d1012fb1e95aea4bbf0933f4c601ea3581de7c
diff -r 95c22625f24a -r 6883e804cf33 sysutils/amanda-client/patches/patch-ae
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/amanda-client/patches/patch-ae Thu Mar 16 19:13:57 2006 +0000
@@ -0,0 +1,49 @@
+$NetBSD: patch-ae,v 1.8 2006/03/16 19:13:57 bouyer Exp $
+
+--- configure.in.orig 2004-10-22 15:12:14.000000000 +0200
++++ configure.in 2006-02-17 17:22:12.000000000 +0100
+@@ -1488,6 +1488,44 @@
+ AC_DEFINE(HAVE_HONOR_NODUMP,1,[Define this if dump accepts -h for honoring nodump. ])
+ fi
+ ])
++ AC_ARG_WITH(dump-use-snapshot,
++ [ --with-dump-use-snapshot if dump supports -X, use it],
++ [ if test -x $DUMP; then
++ AC_CACHE_CHECK(
++ [whether $DUMP supports -X (use filesystem snapshot)],
++ amanda_cv_use_snapshot,
++ [
++ case "$DUMP" in
++ *dump)
++ AC_TRY_COMMAND($DUMP 9Xf /dev/null /dev/null/invalid/fs 2>&1
++ | $GREP -v Dumping
++ | $GREP -v Date
++ | $GREP -v Label >conftest.d-x 2>&1)
++ cat conftest.d-x >&AS_MESSAGE_LOG_FD()
++ AC_TRY_COMMAND($DUMP 9f /dev/null /dev/null/invalid/fs 2>&1
++ | $GREP -v Dumping
++ | $GREP -v Date
++ | $GREP -v Label >conftest.d 2>&1)
++ cat conftest.d >&AS_MESSAGE_LOG_FD()
++ if AC_TRY_COMMAND(diff conftest.d-x conftest.d 1>&2); then
++ amanda_cv_use_snapshot=yes
++ else
++ amanda_cv_use_snapshot=no
++ fi
++ rm -f conftest.d conftest.d-x
++ ;;
++ *) amanda_cv_use_snapshot=no
++ ;;
++ esac
++ ])
++ else
++ AC_MSG_WARN([*** $DUMP is not executable, cannot run -X test])
++ amanda_cv_use_snapshot=no
++ fi
++ if test "$amanda_cv_use_snapshot" = yes; then
++ AC_DEFINE(HAVE_DUMP_SNAPSHOT,1,[Define this if dump accepts -X for using snapshots. ])
++ fi
++ ])
+ fi
+
+ AC_PATH_PROGS(XFSDUMP,xfsdump,,$SYSLOCPATH)
diff -r 95c22625f24a -r 6883e804cf33 sysutils/amanda-client/patches/patch-af
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/amanda-client/patches/patch-af Thu Mar 16 19:13:57 2006 +0000
@@ -0,0 +1,14 @@
+$NetBSD: patch-af,v 1.4 2006/03/16 19:13:57 bouyer Exp $
+
+--- config/config.h.in.orig 2006-02-17 18:06:04.000000000 +0100
++++ config/config.h.in 2006-02-17 18:06:46.000000000 +0100
+@@ -373,6 +373,9 @@
+ /* Define this if dump accepts -h for honoring nodump. */
+ #undef HAVE_HONOR_NODUMP
+
++/* Define this if dump accepts -X for filesystem snapshot. */
++#undef HAVE_DUMP_SNAPSHOT
++
+ /* Define to enable HPUX tape-changer support. */
+ #undef HAVE_HPUX_LIKE_SCSI
+
diff -r 95c22625f24a -r 6883e804cf33 sysutils/amanda-client/patches/patch-ag
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/amanda-client/patches/patch-ag Thu Mar 16 19:13:57 2006 +0000
@@ -0,0 +1,14 @@
+$NetBSD: patch-ag,v 1.4 2006/03/16 19:13:57 bouyer Exp $
+
+--- client-src/sendbackup-dump.c.orig 2006-02-17 18:07:17.000000000 +0100
++++ client-src/sendbackup-dump.c 2006-02-17 18:08:53.000000000 +0100
+@@ -310,6 +310,9 @@
+ #ifdef HAVE_HONOR_NODUMP
+ "h",
+ #endif
++#ifdef HAVE_DUMP_SNAPSHOT
++ "X",
++#endif
+ "f",
+ NULL);
+
diff -r 95c22625f24a -r 6883e804cf33 sysutils/amanda-client/patches/patch-ah
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/amanda-client/patches/patch-ah Thu Mar 16 19:13:57 2006 +0000
@@ -0,0 +1,14 @@
+$NetBSD: patch-ah,v 1.1 2006/03/16 19:13:57 bouyer Exp $
+
+--- client-src/sendsize.c.orig 2006-02-17 18:09:16.000000000 +0100
++++ client-src/sendsize.c 2006-02-17 18:09:54.000000000 +0100
+@@ -873,6 +873,9 @@
+ # ifdef HAVE_HONOR_NODUMP /* { */
+ "h",
+ # endif /* } */
++# ifdef HAVE_DUMP_SNAPSHOT /* { */
++ "X",
++# endif /* } */
+ "s", "f", NULL);
+
+ # ifdef HAVE_DUMP_ESTIMATE
diff -r 95c22625f24a -r 6883e804cf33 sysutils/amanda-client/patches/patch-ai
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/amanda-client/patches/patch-ai Thu Mar 16 19:13:57 2006 +0000
@@ -0,0 +1,85 @@
+$NetBSD: patch-ai,v 1.1 2006/03/16 19:13:57 bouyer Exp $
+
+--- configure.orig 2004-10-22 15:12:36.000000000 +0200
++++ configure 2006-02-17 18:15:31.000000000 +0100
+@@ -1094,6 +1094,7 @@
+ --with-debug-days=NN number of days to keep debugging files default=4
+ --with-testing=suffix use alternate service names
+ --with-dump-honor-nodump if dump supports -h, use it for level0s too
++ --with-dump-use-snapshot if dump supports -X, use it
+ --with-gnu-ld assume the C compiler uses GNU ld [default=no]
+ --with-pic try to use only PIC/non-PIC objects [default=use
+ both]
+@@ -9701,6 +9702,72 @@
+ fi
+
+ fi;
++
++# Check whether --with-dump-use-snapshot or --without-dump-use-snapshot was given.
++if test "${with_dump_use_snapshot+set}" = set; then
++ withval="$with_dump_use_snapshot"
++ if test -x $DUMP; then
++ echo "$as_me:$LINENO: checking whether $DUMP supports -X (use filesystem snapshot)" >&5
++echo $ECHO_N "checking whether $DUMP supports -X (use filesystem snapshot)... $ECHO_C" >&6
++if test "${amanda_cv_use_snapshot+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++
++ case "$DUMP" in
++ *dump)
++ { ac_try='$DUMP 9Xf /dev/null /dev/null/invalid/fs 2>&1
++ | $GREP -v Dumping
++ | $GREP -v Date
++ | $GREP -v Label >conftest.d-x 2>&1'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; }
++ cat conftest.d-x >&5
++ { ac_try='$DUMP 9f /dev/null /dev/null/invalid/fs 2>&1
++ | $GREP -v Dumping
++ | $GREP -v Date
++ | $GREP -v Label >conftest.d 2>&1'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; }
++ cat conftest.d >&5
++ if { ac_try='diff conftest.d-x conftest.d 1>&2'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; }; then
++ amanda_cv_use_snapshot=yes
++ else
++ amanda_cv_use_snapshot=no
++ fi
++ rm -f conftest.d conftest.d-x
++ ;;
++ *) amanda_cv_use_snapshot=no
++ ;;
++ esac
++
++fi
++echo "$as_me:$LINENO: result: $amanda_cv_use_snapshot" >&5
++echo "${ECHO_T}$amanda_cv_use_snapshot" >&6
++ else
++ { echo "$as_me:$LINENO: WARNING: *** $DUMP is not executable, cannot run -X test" >&5
++echo "$as_me: WARNING: *** $DUMP is not executable, cannot run -X test" >&2;}
++ amanda_cv_use_snapshot=no
++ fi
++ if test "$amanda_cv_use_snapshot" = yes; then
++
++cat >>confdefs.h <<\_ACEOF
++#define HAVE_DUMP_SNAPSHOT 1
++_ACEOF
++
++ fi
++
++fi;
+ fi
+
+ for ac_prog in xfsdump
Home |
Main Index |
Thread Index |
Old Index